Skip to navigation

Get Script

Returns a single Script.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Checkout Contentmodifystore_content_checkout
Checkout Contentread-onlystore_content_checkout_read_only
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

To read or modify scripts on checkout pages, add Checkout Content scopes.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

uuidstringRequiredformat: "uuid"
The identifier for a specific script.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

Success
dataobjectOptional
metaobjectOptional
Response metadata.

Errors

404
Not Found Error
422
Unprocessable Entity Error